# Interface methods for submodule: MultiTransform
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import TransformProxy as _TransformProxy


# Interface methods for class: MultiTransform
class MultiTransformProxy(_TransformProxy):
	def GetNameOfClass(self):
		""""""
		...

	def AddTransform(self, t) -> None:
		""""""
		...

	def AppendTransform(self, t) -> None:
		""""""
		...

	def PrependTransform(self, t) -> None:
		""""""
		...

	def RemoveTransform(self) -> None:
		""""""
		...

	def GetFrontTransform(self):
		""""""
		...

	def GetBackTransform(self):
		""""""
		...

	def GetNthTransform(self, n: int):
		""""""
		...

	def GetNthTransformModifiablePointer(self, n: int):
		""""""
		...

	def GetNthTransformConstPointer(self, n: int):
		""""""
		...

	def GetTransformQueue(self):
		""""""
		...

	def IsTransformQueueEmpty(self) -> bool:
		""""""
		...

	def GetNumberOfTransforms(self) -> int:
		""""""
		...

	def ClearTransformQueue(self) -> None:
		""""""
		...

	def IsLinear(self) -> bool:
		""""""
		...

	def GetTransformCategory(self):
		""""""
		...

	def GetParameters(self):
		""""""
		...

	def SetParameters(self, inputParameters) -> None:
		""""""
		...

	def GetFixedParameters(self):
		""""""
		...

	def SetFixedParameters(self, inputParameters) -> None:
		""""""
		...

	def GetNumberOfParameters(self) -> int:
		""""""
		...

	def GetNumberOfLocalParameters(self) -> int:
		""""""
		...

	def GetNumberOfFixedParameters(self) -> int:
		""""""
		...

	def UpdateTransformParameters(self, update: Sequence[float], factor: float = 1) -> None:
		""""""
		...

	def GetInverse(self, inverse) -> bool:
		""""""
		...

